Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 87624 - All actions should be disabled from Navigator when bpel is broken
All actions should be disabled from Navigator when bpel is broken
Status: VERIFIED FIXED
Product: soa
Classification: Unclassified
Component: BPEL
5.x
All All
: P2 (vote)
: 5.x
Assigned To: Vitaly Bychkov
issues@soa
55EP_RR_DOCS 55EP_RR_WAIVED
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-20 11:42 UTC by Andrey Yamkovoy
Modified: 2007-02-07 10:49 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Yamkovoy 2006-10-20 11:42:38 UTC
This bug brokes bpel model. Required IDE restart to restore model.
Sometimes IDE throws exception or hungs after reproduction of this bug.

Steps to reproduce:
- Create Synchronous sample project.
- Open bpel diagram in Source mode.
- Broke bpel code (for ex. add the following "<bla>" to bpel process).
- Go to Navigator. Nodes in tree disabled but context menus are enabled.
- Invoke some action from context menu of any node (for ex. delete some 
activity).
- Notice that bpel model is broken.
- Undo/Redo actions can throws exceptions or IDE can be hung.
Comment 1 astashkova 2006-10-23 13:08:07 UTC
Added to RNs.
Use the following link to review the wording and location of the issue in the
staged  Release Notes
http://nbstaging.czech/community/releases/55/entpack_relnotes.html#87624
Comment 2 Vitaly Bychkov 2006-11-28 12:16:31 UTC
Fixed
Comment 3 Victoria Zhukovskaya 2007-02-07 10:49:58 UTC
WinXP, NB5.5.1+ gavotte 070206

context menu items are disabled 


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo